Void Debit Memo
curl --request POST \
--url https://api.meetcampfire.com/coa/api/v1/debit-memo/{debit_memo_id}/void/ \
--header 'Content-Type: application/json' \
--data '
{
"void_date": "2023-12-25"
}
'import requests
url = "https://api.meetcampfire.com/coa/api/v1/debit-memo/{debit_memo_id}/void/"
payload = { "void_date": "2023-12-25" }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({void_date: '2023-12-25'})
};
fetch('https://api.meetcampfire.com/coa/api/v1/debit-memo/{debit_memo_id}/void/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"lines": [
{
"id": 123,
"account_number": "<string>",
"account_name": "<string>",
"department_name": "<string>",
"tags": [
{}
],
"tax_rate_name": "<string>",
"tax_rate_value": 0,
"amortization_schedule": [
{
"journal_entry_order": "<string>",
"date": "2023-12-25",
"amount": 0,
"customer": 123,
"id": 123,
"posted": true,
"transaction": 123,
"bill_line": 123,
"debit_memo_line": 123,
"journal_entry": 123
}
],
"created_at": "2023-11-07T05:31:56Z",
"last_modified_at": "2023-11-07T05:31:56Z",
"customer": 123,
"account": 123,
"description": "<string>",
"amount": 0,
"tax": 0,
"tax_description": "<string>",
"tag_ids": [
0
],
"tag_group_ids": [
0
],
"tax_rate": 123,
"department": 123
}
],
"payments": [
{
"id": 123,
"payment_journal_entry_order": "<string>",
"voided_journal_entry_order": "<string>",
"bill": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"last_modified_at": "2023-11-07T05:31:56Z",
"customer": 123,
"debit_memo": 123,
"payment_journal_entry": 123,
"currency": "<string>",
"amount": 0,
"payment_date": "2023-12-25",
"voided_date": "2023-12-25",
"payment_transaction": 123,
"voided_journal_entry": 123
}
],
"amount_remaining": 123,
"entity_name": "<string>",
"entity_currency": "<string>",
"vendor_name": "<string>",
"vendor_campfire_id": "<string>",
"debit_account_number": "<string>",
"debit_account_name": "<string>",
"attachments": [
{
"id": 123,
"customer": 123,
"created_at": "2023-11-07T05:31:56Z",
"created_by": 123,
"created_by_name": "<string>",
"created_by_email": "<string>",
"last_modified_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"url": "<string>",
"s3_path": "<string>",
"app": "<string>",
"model": "<string>",
"is_deleted": false,
"deleted_at": "2023-11-07T05:31:56Z",
"s3_content_type": "<string>",
"s3_content_length": 1073741823,
"object_id": 1073741823
}
],
"voided_date": "2023-12-25",
"voided_journal_entry_order": "<string>",
"last_modified_at": "2023-11-07T05:31:56Z",
"is_deleted": false,
"deleted_at": "2023-11-07T05:31:56Z",
"amortizations": [
{}
],
"search_vector": "<string>",
"search_text": "<string>",
"debit_memo_date": "2023-12-25",
"created_at": "2023-11-07T05:31:56Z",
"customer": 123,
"entity": 123,
"debit_memo_number": "<string>",
"ref_number": "<string>",
"applied_date": "2023-12-25",
"message_on_debit_memo": "<string>",
"source_id": "<string>",
"source": "<string>",
"application_status": "open",
"currency": "<string>",
"exchange_rate": 0,
"exchange_rate_book": 0,
"total_amount": 0,
"amount_used": 0,
"chat_id": -1,
"tax_behavior": "inclusive",
"vendor": 123,
"debit_account": 123,
"journal_entry": 123,
"voided_journal_entry": 123
}Accounts Payable
Void Debit Memo
Void an existing debit memo.
This creates a reversing journal entry to void the debit memo by reversing all debit and credit amounts. The debit memo status will be updated to reflect the void.
POST
/
coa
/
api
/
v1
/
debit-memo
/
{debit_memo_id}
/
void
/
Void Debit Memo
Path Parameters
ID of the debit memo to void
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Response
200 - application/json
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Calculate amount remaining from database fields
Combines account number and name in the format "number - name"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Maximum string length:
120Maximum string length:
120Maximum string length:
120open- Openpartially_used- Partially Usedused- Usedvoided- Voided
Available options:
open, partially_used, used, voided Maximum string length:
3Required range:
-100000000000000 < x < 100000000000000Required range:
-100000000000000 < x < 100000000000000Sum of all line item amounts
Required range:
-1000000000000000000 < x < 1000000000000000000Sum of all non-voided payment amounts
Required range:
-1000000000000000000 < x < 1000000000000000000Required range:
-2147483648 <= x <= 2147483647inclusive- Inclusiveexclusive- Exclusive
Available options:
inclusive, exclusive